ur_rna.StructureEditor

## Class Settings

- java.lang.Object
- - ur_rna.StructureEditor.Settings

-     public class Settings
      extends java.lang.Object

  Holds program options and settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private EventSource.NoArg` | `_changeEvent`
    `boolean` | `DisableBranchSlide`
    `boolean` | `DisableLoopResize`
    `boolean` | `DisableRotation`
    `boolean` | `DrawClockwise`
    `private DrawSettings` | `drawSettings`
    `boolean` | `ExpandMotif`
    `private static java.lang.reflect.Field[]` | `fields`
    `static java.lang.Object` | `Missing`
    `private static java.lang.String` | `nullValue`
    `private boolean` | `settingsWereChanged`
    `boolean` | `ShowDashboard`
    `boolean` | `ShowHints`
    `boolean` | `SnapGuides`
    `private boolean` | `suspendChanges`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeHandler(java.lang.Runnable handler)`
    `java.lang.Object` | `get(java.lang.reflect.Field f)`
    `java.lang.Object` | `get(java.lang.String name)`
    `DrawSettings` | `getDrawSettings()`
    `private java.lang.reflect.Field` | `getSettingsField(java.lang.String name)`
    `void` | `load(java.util.prefs.Preferences node)`
    `private void` | `logError(java.lang.String format, java.lang.Object... args)`
    `void` | `notifyChanged()`
    `void` | `removeChangeHandler(java.lang.Runnable handler)`
    `void` | `resumeChangeNotification()`
    `void` | `save(java.util.prefs.Preferences node)`
    `private void` | `set(java.lang.reflect.Field f, java.lang.Object value)`
    `void` | `set(java.lang.String name, java.lang.Object value)`
    `void` | `suspendChangeNotification()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _changeEvent

          private final EventSource.NoArg _changeEvent

    - #### DisableBranchSlide

          public boolean DisableBranchSlide

    - #### DisableLoopResize

          public boolean DisableLoopResize

    - #### DisableRotation

          public boolean DisableRotation

    - #### DrawClockwise

          public boolean DrawClockwise

    - #### drawSettings

          private DrawSettings drawSettings

    - #### ExpandMotif

          public boolean ExpandMotif

    - #### fields

          private static final java.lang.reflect.Field[] fields

    - #### Missing

          public static final java.lang.Object Missing

    - #### nullValue

          private static final java.lang.String nullValue

      See Also:
        Constant Field Values

    - #### settingsWereChanged

          private boolean settingsWereChanged

    - #### ShowDashboard

          public boolean ShowDashboard

    - #### ShowHints

          public boolean ShowHints

    - #### SnapGuides

          public boolean SnapGuides

    - #### suspendChanges

          private boolean suspendChanges

  - ### Constructor Detail

    - #### Settings

          public Settings()

  - ### Method Detail

    - #### addChangeHandler

          public void addChangeHandler(java.lang.Runnable handler)

    - #### get

          public java.lang.Object get(java.lang.reflect.Field f)

    - #### get

          public java.lang.Object get(java.lang.String name)

    - #### getDrawSettings

          public DrawSettings getDrawSettings()

    - #### getSettingsField

          private java.lang.reflect.Field getSettingsField(java.lang.String name)

    - #### load

          public void load(java.util.prefs.Preferences node)

    - #### logError

          private void logError(java.lang.String format,
                                java.lang.Object... args)

    - #### notifyChanged

          public void notifyChanged()

    - #### removeChangeHandler

          public void removeChangeHandler(java.lang.Runnable handler)

    - #### resumeChangeNotification

          public void resumeChangeNotification()

    - #### save

          public void save(java.util.prefs.Preferences node)

    - #### set

          private void set(java.lang.reflect.Field f,
                           java.lang.Object value)

    - #### set

          public void set(java.lang.String name,
                          java.lang.Object value)

    - #### suspendChangeNotification

          public void suspendChangeNotification()